# Class BasicSliderUI.ActionScroller

java.lang.Object
javax.swing.AbstractAction
javax.swing.plaf.basic.BasicSliderUI.ActionScroller

All Implemented Interfaces:
  `ActionListener, Serializable, Cloneable, EventListener, Action`

Enclosing class:
  `BasicSliderUI`

public class BasicSliderUI.ActionScroller extends AbstractAction
As of Java 2 platform v1.3 this undocumented class is no longer used. The recommended approach to creating bindings is to use a combination of an `ActionMap`, to contain the action, and an `InputMap` to contain the mapping from KeyStroke to action description. The InputMap is usually described in the LookAndFeel tables.

Please refer to the key bindings specification for further details.

This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `Foo`.

## Field Summary

### Fields declared in class AbstractAction

`changeSupport, enabled`

### Fields declared in interface Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

## Constructor Summary

Constructors
Constructor
Description
`ActionScroller(JSlider slider, int dir, boolean block)`
Constructs an `ActionScroller`.

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
Invoked when an action occurs.

### Methods declared in class AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods declared in class Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface Action

`accept`

## Constructor Details

### ActionScroller

public ActionScroller(JSlider slider, int dir, boolean block)
Constructs an `ActionScroller`.

Parameters:
  `slider` - a slider
  `dir` - the direction
  `block` - block scrolling or not

## Method Details

### actionPerformed

public void actionPerformed(ActionEvent e)
Invoked when an action occurs.

Parameters:
  `e` - the event to be processed